%global momorel 12
%global md5sum_src0 7ab8b64edf0212a9d9a3c8129901a450
%global md5sum_src1 9d5045a5c76b1fe360221b967a5aa0e9
%global md5sum_src2 255222b3ab3af671289a6b4844e9f393
%global md5sum_src3 bee5d87d40615e67c84ab0b0c65049ba
%global md5sum_src4 8579d5f50ba7f0c4a5bf16b9670fea01
%global md5sum_src5 45d8fa3c85d4bfda87251798fd605a45
%global md5sum_src6 f746aba36f075ae4cae313d849a94f4e
%global md5sum_src7 ea78b3e32e27c3662f86ea68b3aec22f
%global md5sum_src8 c6ec9dc42396e3b3a2da932f3feca6ec
%global md5sum_src9 380b2ef545306354cc150834de567be7
%global md5sum_src10 1228f890f86148e4e6ae22aa73118cbb
%global md5sum_src11 1b781a0802c7b8fb9619a6665607b3f0
%global md5sum_src12 d074e79d380b031d2f60e4cd56538c93
%global md5sum_src13 c94ea103e27e370e4e5030e50c5d5d69
%global md5sum_src14 fc7eeb7130bb54345671a9dbaab567ac
%global md5sum_src15 86ab558441edfb86f853639e4290a754
%global md5sum_src16 e49c695a0af17bc4896e51c298304643
%global md5sum_src17 e0744594f4e5969b20df28d897781318

%define pkgname server-utils

Summary: X.Org X11 X server utilities
Name: xorg-x11-%{pkgname}
Version: 1.0.1
Release: %{momorel}m%{?dist}
License: MIT/X
Group: User Interface/X
URL: http://www.x.org/
%define xorgurl http://xorg.freedesktop.org/releases/individual/app/

%NoSource 0  %{xorgurl}/iceauth-1.0.2.tar.bz2 %{md5sum_src0}
%NoSource 1  %{xorgurl}/lbxproxy-1.0.1.tar.bz2 %{md5sum_src1}
%NoSource 2  %{xorgurl}/rgb-1.0.1.tar.bz2 %{md5sum_src2}
%NoSource 3  %{xorgurl}/sessreg-1.0.2.tar.bz2 %{md5sum_src3}
%NoSource 4  %{xorgurl}/xcmsdb-1.0.1.tar.bz2 %{md5sum_src4}
%NoSource 5  %{xorgurl}/xgamma-1.0.1.tar.bz2 %{md5sum_src5}
%NoSource 6  %{xorgurl}/xhost-1.0.2.tar.bz2 %{md5sum_src6}
%NoSource 7  %{xorgurl}/xmodmap-1.0.2.tar.bz2 %{md5sum_src7}
%NoSource 8  %{xorgurl}/xrandr-1.2.2.tar.bz2 %{md5sum_src8}
%NoSource 9  %{xorgurl}/xrdb-1.0.3.tar.bz2 %{md5sum_src9}
%NoSource 10 %{xorgurl}/xrefresh-1.0.2.tar.bz2 %{md5sum_src10}
%NoSource 11 %{xorgurl}/xset-1.0.2.tar.bz2 %{md5sum_src11}
%NoSource 12 %{xorgurl}/xsetmode-1.0.0.tar.bz2 %{md5sum_src12}
%NoSource 13 %{xorgurl}/xsetpointer-1.0.0.tar.bz2 %{md5sum_src13}
%NoSource 14 %{xorgurl}/xsetroot-1.0.1.tar.bz2 %{md5sum_src14}
%NoSource 15 %{xorgurl}/xstdcmap-1.0.1.tar.bz2 %{md5sum_src15}
%NoSource 16 %{xorgurl}/xtrap-1.0.1.tar.bz2 %{md5sum_src16}
%NoSource 17 %{xorgurl}/xvidtune-1.0.1.tar.bz2 %{md5sum_src17}

# NOTE: Each upstream tarball has its own "PatchN" section, taken from
# multiplying the "SourceN" line times 1000.  Please keep them in this
# order.  Also, please keep each patch specific to a single upstream tarball,
# so that they don't have to be split in half when submitting upstream.
#
# iceauth section
#Patch0: 

# lbxproxy section
Patch1000: lbxproxy-1.0.1-datadir-AtomControl-fix.patch

# rgb section
Patch1100: rgb-1.0.1-datadir-rgbpath-fix.patch
# xvidtune section
#Patch1700: xvidtune-0.99.1-datadir-app-defaults-fix.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: pkgconfig
# xsetroot requires xbitmaps-devel
BuildRequires: xorg-x11-xbitmaps
# xsetroot requires libX11-devel
BuildRequires: libX11-devel
# xsetroot requires libXmu-devel
BuildRequires: libXmu-devel
# xtrap requires libXTrap-devel
BuildRequires: libXTrap-devel

BuildRequires: libXrandr-devel
BuildRequires: libXxf86vm-devel

# FIXME: check if still needed for X11R7
Requires(pre): filesystem >= 2.3.7-1

# xrdb requires the C preprocessor to work properly
Requires: cpp

# NOTE: iceauth, lbxproxy, rgb, sessreg, xcmsdb, xgamma, xhost, xmodmap,
# xrandr, xrdb, xrefresh, xset, xsetmode, xsetpointer, xsetroot, xstdcmap,
# xtrap, xvidtune, were all in xorg-x11 and XFree86 packages, so we obsolete
# them to ensure upgrades work.
#Obsoletes: xorg-x11, XFree86

%description
A collection of utilities used to tweak and query the runtime configuration
of the X server.

%prep
%setup -q -c %{name}-%{version} -a1 -a2 -a3 -a4 -a5 -a6 -a7 -a8 -a9 -a10 -a11 -a12 -a13 -a14 -a15 -a16 -a17 
%patch1000 -p0 -b .datadir-AtomControl-fix

%patch1100 -p0 -b .datadir-rgbpath-fix

#%patch1700 -p0 -b .datadir-app-defaults-fix

%build

# Build all apps
{
   for app in * ; do
      pushd $app
      echo "******************** $app"

      case $app in
         lbxproxy-*)
            aclocal --force
            automake -f
            autoconf
            %configure ;#configdir=%{_datadir}/X11/lbxproxy
            ;;
         rgb-*)
            # FIXME: run autotools junk to kick in our patch
            aclocal --force
            automake -f
            autoconf
            %configure ;# --with-rgb-db=%{_datadir}/X11
            ;;
         xvidtune-*)
            # FIXME: run autotools junk to kick in our patch
            aclocal --force
            automake -f
            autoconf
            %configure
            ;;
         *)
            %configure
            ;;
      esac

      make
      popd
   done
}

%install
rm -rf --preserve-root %{buildroot}
# Install all apps
{
   for app in * ; do
      pushd $app
      case $app in
         lbxproxy-*)
            make install DESTDIR=$RPM_BUILD_ROOT
            ;;
         *)
            make install DESTDIR=$RPM_BUILD_ROOT
            ;;
      esac
      popd
   done
}

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root,-)
%doc
%{_bindir}/iceauth
%{_bindir}/lbxproxy
%{_bindir}/sessreg
%{_bindir}/showrgb
%{_bindir}/xcmsdb
%{_bindir}/xgamma
%{_bindir}/xhost
%{_bindir}/xmodmap
%{_bindir}/xrandr
%{_bindir}/xrdb
%{_bindir}/xrefresh
%{_bindir}/xset
%{_bindir}/xsetmode
%{_bindir}/xsetpointer
%{_bindir}/xsetroot
%{_bindir}/xstdcmap
%{_bindir}/xtrapchar
%{_bindir}/xtrapin
%{_bindir}/xtrapinfo
%{_bindir}/xtrapout
%{_bindir}/xtrapproto
%{_bindir}/xtrapreset
%{_bindir}/xtrapstats
%{_bindir}/xvidtune
# FIXME: These files should all be moved to /usr/share as they're arch
# independent data.
#%dir %{_datadir}/X11
%{_datadir}/X11/rgb.txt
#%dir %{_datadir}/X11/app-defaults
%{_datadir}/X11/app-defaults/Xvidtune
%dir %{_datadir}/X11/lbxproxy
%{_datadir}/X11/lbxproxy/AtomControl
# FIXME: End of files from above that should be in /usr/share.
%{_mandir}/man1/iceauth.1*
%{_mandir}/man1/lbxproxy.1*
%{_mandir}/man1/sessreg.1*
%{_mandir}/man1/showrgb.1*
%{_mandir}/man1/xcmsdb.1*
%{_mandir}/man1/xgamma.1*
%{_mandir}/man1/xhost.1*
%{_mandir}/man1/xmodmap.1*
%{_mandir}/man1/xrandr.1*
%{_mandir}/man1/xrdb.1*
%{_mandir}/man1/xrefresh.1*
%{_mandir}/man1/xset.1*
%{_mandir}/man1/xsetmode.1*
%{_mandir}/man1/xsetpointer.1*
%{_mandir}/man1/xsetroot.1*
%{_mandir}/man1/xstdcmap.1*
%{_mandir}/man1/xtrap.1*
%{_mandir}/man1/xtrapchar.1*
%{_mandir}/man1/xtrapin.1*
%{_mandir}/man1/xtrapinfo.1*
%{_mandir}/man1/xtrapout.1*
%{_mandir}/man1/xtrapproto.1*
%{_mandir}/man1/xtrapreset.1*
%{_mandir}/man1/xtrapstats.1*
%{_mandir}/man1/xvidtune.1*

%changelog
* Tue Jul 31 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.1-12m)
- update xhost-1.0.2, iceauth-1.0.2

* Mon Jul 16 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.1-11m)
- update xrandr-1.2.2

* Wed Mar 21 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.1-10m)
- update xrandr-1.2.0

* Wed Jan 24 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.1-9m)
- update sassreg-1.0.2

* Wed Jan 24 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.1-8m)
- update xrdb-1.0.3

* Wed Nov  8 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.1-7m)
- update xmodmap-1.0.2

* Wed Jun  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.1-6m)
- delete duplicated files

* Thu May 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.1-5m)
- update xhost-1.0.1 xrefresh-1.0.2

* Sun May 21 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.1-4m)
- update rgb-1.0.1

* Sat Apr 29 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.1-3m)
- update xmodmap-1.0.1, xrandr-1.0.2, xrdb-1.0.2, xset-1.0.2

* Sat Mar 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.1-2m)
- To trunk

* Thu Mar  9 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.1-1.3m)
- comment out Obsolete

* Fri Feb 24 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.1-1.2m)
- import to Momonga
- add BuildRequires: libXrandr-devel checking for XRANDR

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.0.1-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.0.1-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Jan 18 2006 Mike A. Harris <mharris@redhat.com> 1.0.1-1
- Updated all packages to the versions from X11R7.0

* Mon Nov 28 2005 Mike A. Harris <mharris@redhat.com> 1.0.0-1
- Updated all packages to version 1.0.0 from X11R7 RC4
- Changed manpage dirs from man1x to man1 to match upstream RC4 default.
- Updated lbxproxy-datadir-AtomControl-fix.patch
- Updated rgb-1.0.0-datadir-rgbpath-fix.patch
- Removed xvidtune-0.99.1-datadir-app-defaults-fix.patch, now unneeded.

* Mon Nov 28 2005 Mike A. Harris <mharris@redhat.com> 0.99.2-6
- Added "Requires: cpp" as xrdb requires it for proper operation (#174302)

* Wed Nov 22 2005 Mike A. Harris <mharris@redhat.com> 0.99.2-5
- Bump "filesystem" Requires(pre) to 2.3.7-1.

* Fri Nov 18 2005 Mike A. Harris <mharris@redhat.com> 0.99.2-4
- Added lbxproxy-0.99.2-datadir-AtomControl-fix.patch to move architecture
  independent data files from libdir to datadir.
- Added rgb-0.99.2-datadir-rgbpath-fix.patch to move architecture independent
  data files from libdir to datadir.
- Added xvidtune-0.99.1-datadir-app-defaults-fix.patch to move app-defaults
  into datadir.

* Mon Nov 14 2005 Jeremy Katz <katzj@redhat.com> - 0.99.2-3
- require newer filesystem package (#172610)

* Sun Nov 13 2005 Mike A. Harris <mharris@redhat.com> 0.99.2-2
- Added "Obsoletes: XFree86, xorg-x11", as these utilities came from there.
- Rebuild against new libXaw 0.99.2-2, which has fixed DT_SONAME. (#173027)

* Fri Nov 11 2005 Mike A. Harris <mharris@redhat.com> 0.99.2-1
- Initial build, with all apps taken from X11R7 RC2
- Use "make install DESTDIR=$RPM_BUILD_ROOT" as the makeinstall macro fails on
  some packages.
